# build/parseScript.c File Reference

Parse install-time script section from spec file. More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | addTriggerIndex (Package pkg, const char *file, const char *script, const char *prog)
int | parseScript (Spec spec, int parsePart)

## Variables

const char * | name = NULL
const char * | prog = NULL
const char * | file = NULL
poptOption | optionsTable []

## Detailed Description

Parse install-time script section from spec file.

Definition in file parseScript.c.

## Function Documentation

int addTriggerIndex | ( | Package | pkg,
|  | const char * | file,
|  | const char * | script,
|  | const char * | prog
| ) | `[static]`

| Definition at line 16 of file parseScript.c. References file, TriggerFileEntry::index, TriggerFileEntry::next, Package, prog, PackageStruct::triggerFiles, xcalloc(), and xstrdup(). Referenced by parseScript().

## Variable Documentation

const char* file = NULL`[static]`

| Definition at line 55 of file parseScript.c. Referenced by addTriggerIndex(), and parseScript().

const char* name = NULL`[static]`

| Definition at line 51 of file parseScript.c. Referenced by parseScript().

struct poptOption optionsTable[]`[static]`

Initial value:

     {
            { NULL, 'p', POPT_ARG_STRING, &prog, 'p',       NULL, NULL},
            { NULL, 'n', POPT_ARG_STRING, &name, 'n',       NULL, NULL},
            { NULL, 'f', POPT_ARG_STRING, &file, 'f',       NULL, NULL},
            { 0, 0, 0, 0, 0,        NULL, NULL}
        }

Definition at line 57 of file parseScript.c.

Referenced by parseScript().

const char* prog = NULL`[static]`

| Definition at line 53 of file parseScript.c. Referenced by addTriggerIndex(), and parseScript().